<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classS6Link__init.html">S6Link_init</a></li><li class="navelem"><a class="el" href="classS6Link__init_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classS6Link__init_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Functions"></a>
Functions</h2></td></tr>
 <tr class="memitem:acab0b8e065f4e1e1f73b23853ec7f183"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acab0b8e065f4e1e1f73b23853ec7f183"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classS6Link__init_1_1RTL.html#acab0b8e065f4e1e1f73b23853ec7f183">get_cdrlock_time</a><b> ( </b><b><span class="vhdlchar">is_sim: </span><span class="stringliteral">in </span><span class="vhdlchar">in integer</span></b><b> )</b></td></tr>
<tr class="memitem:a6283d831523fa9b3ac456101af9c4f2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6283d831523fa9b3ac456101af9c4f2e"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classS6Link__init_1_1RTL.html#a6283d831523fa9b3ac456101af9c4f2e">get_lpm_adapt_lock_time</a><b> ( </b><b><span class="vhdlchar">is_sim: </span><span class="stringliteral">in </span><span class="vhdlchar">in integer</span></b><b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:abe407299382022d64c190f3446c60563"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe407299382022d64c190f3446c60563"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#abe407299382022d64c190f3446c60563">cdrlock_timeout</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">SYSCLK_IN</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:af651578ceea3f3d9513644279c752643"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af651578ceea3f3d9513644279c752643"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#af651578ceea3f3d9513644279c752643">S6Link</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link.html">&lt;Entity S6Link&gt; </a></em></td></tr>
<tr class="memitem:aab29a736b491412af1ffc668c23dd942"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab29a736b491412af1ffc668c23dd942"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#aab29a736b491412af1ffc668c23dd942">S6Link_TX_STARTUP_FSM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__TX__STARTUP__FSM.html">&lt;Entity S6Link_TX_STARTUP_FSM&gt; </a></em></td></tr>
<tr class="memitem:ab47f474b3216cb1873fe78c7d0194711"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab47f474b3216cb1873fe78c7d0194711"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ab47f474b3216cb1873fe78c7d0194711">S6Link_RX_STARTUP_FSM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__RX__STARTUP__FSM.html">&lt;Entity S6Link_RX_STARTUP_FSM&gt; </a></em></td></tr>
<tr class="memitem:a28ccf6d257e0b497f405e8e68d5b03f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28ccf6d257e0b497f405e8e68d5b03f9"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a28ccf6d257e0b497f405e8e68d5b03f9">S6Link_ADAPT_TOP_DFE</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__ADAPT__TOP__DFE.html">&lt;Entity S6Link_ADAPT_TOP_DFE&gt; </a></em></td></tr>
<tr class="memitem:a1bae6d216e298aebe2f9ac3a2a12bb48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bae6d216e298aebe2f9ac3a2a12bb48"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a1bae6d216e298aebe2f9ac3a2a12bb48">S6Link_ADAPT_TOP_LPM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__ADAPT__TOP__LPM.html">&lt;Entity S6Link_ADAPT_TOP_LPM&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:afda6a0f11598edea6b9e0762bf89aa7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afda6a0f11598edea6b9e0762bf89aa7d"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#afda6a0f11598edea6b9e0762bf89aa7d">DLY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a383d4739c0590fb38f00567171e6f786"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a383d4739c0590fb38f00567171e6f786"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a383d4739c0590fb38f00567171e6f786">STABLE_CLOCK_PERIOD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">20</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28e5eaa960931c170451b4011e51bfc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28e5eaa960931c170451b4011e51bfc7"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a28e5eaa960931c170451b4011e51bfc7">RX_CDRLOCK_TIME</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">get_cdrlock_time</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EXAMPLE_SIMULATION</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a22f7175c439ac58a5b2998d36140b989"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22f7175c439ac58a5b2998d36140b989"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a22f7175c439ac58a5b2998d36140b989">WAIT_TIME_CDRLOCK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">RX_CDRLOCK_TIME</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4f2ac29f046fe7bccca21864aebbd347"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f2ac29f046fe7bccca21864aebbd347"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a4f2ac29f046fe7bccca21864aebbd347">LPM_ADAPT_LOCK_TIMER</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">get_lpm_adapt_lock_time</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EXAMPLE_SIMULATION</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae4182c75adfd1fc7bdd03785060360fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4182c75adfd1fc7bdd03785060360fd"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ae4182c75adfd1fc7bdd03785060360fd">DFE_ADAPT_LOCK_TIMER</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">13</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">60</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar">.</span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:aab1055003f1c9da36f443668c10992e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab1055003f1c9da36f443668c10992e3"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#aab1055003f1c9da36f443668c10992e3">gt0_cpllreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91b961558648e5a6ac4ed76ef5aec91c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91b961558648e5a6ac4ed76ef5aec91c"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a91b961558648e5a6ac4ed76ef5aec91c">gt0_cpllreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9d80e162322690750aab98fc09c44f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9d80e162322690750aab98fc09c44f5"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ac9d80e162322690750aab98fc09c44f5">gt0_cpllrefclklost_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33bb969c6b176f1c036c1c8ee83d9e9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33bb969c6b176f1c036c1c8ee83d9e9c"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a33bb969c6b176f1c036c1c8ee83d9e9c">gt0_cplllock_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5af07036c0ade97b24da12ce57de6426"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5af07036c0ade97b24da12ce57de6426"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a5af07036c0ade97b24da12ce57de6426">gt0_txresetdone_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a1b4ee63443c460226c936c9503762f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a1b4ee63443c460226c936c9503762f"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a7a1b4ee63443c460226c936c9503762f">gt0_rxresetdone_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3cce711ff84162f72bf44781db1d9b59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cce711ff84162f72bf44781db1d9b59"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a3cce711ff84162f72bf44781db1d9b59">gt0_gttxreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae47a9dd9579d43ec95280b74562e801b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae47a9dd9579d43ec95280b74562e801b"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ae47a9dd9579d43ec95280b74562e801b">gt0_gttxreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a06f598aae272ad25a006fc209eb54685"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06f598aae272ad25a006fc209eb54685"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a06f598aae272ad25a006fc209eb54685">gt0_gtrxreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc5b994eb9e6680160d1314d373b8c55"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc5b994eb9e6680160d1314d373b8c55"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#acc5b994eb9e6680160d1314d373b8c55">gt0_gtrxreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ba53a8b2dbfd59c72a933d7f49a7aaf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ba53a8b2dbfd59c72a933d7f49a7aaf"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a6ba53a8b2dbfd59c72a933d7f49a7aaf">gt0_rxdfelpmreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97e92b052bab743da35eff0795b03c85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97e92b052bab743da35eff0795b03c85"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a97e92b052bab743da35eff0795b03c85">gt0_txuserrdy_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4aacb6c1f5d6f3ab66ef589112e62daa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4aacb6c1f5d6f3ab66ef589112e62daa"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a4aacb6c1f5d6f3ab66ef589112e62daa">gt0_txuserrdy_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af052208492cd63375c6eca4bc9948157"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af052208492cd63375c6eca4bc9948157"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#af052208492cd63375c6eca4bc9948157">gt0_rxuserrdy_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6565afda4f5b13492543e5949e8c586a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6565afda4f5b13492543e5949e8c586a"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a6565afda4f5b13492543e5949e8c586a">gt0_rxuserrdy_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0186d716ce0f1d43708ca058d1a71845"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0186d716ce0f1d43708ca058d1a71845"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a0186d716ce0f1d43708ca058d1a71845">gt0_rxdfeagchold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a467e72e5c42f105aa8bccd3995f83fe1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a467e72e5c42f105aa8bccd3995f83fe1"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a467e72e5c42f105aa8bccd3995f83fe1">gt0_rxdfelfhold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94b2732c50a1725cbc19f421ea5f8bf1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94b2732c50a1725cbc19f421ea5f8bf1"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a94b2732c50a1725cbc19f421ea5f8bf1">gt0_rxlpmlfhold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8829b3e447e1d8169e60b4856667a502"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8829b3e447e1d8169e60b4856667a502"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a8829b3e447e1d8169e60b4856667a502">gt0_rxlpmhfhold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a62efa53d84dfc8196a51ca08672e1d6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62efa53d84dfc8196a51ca08672e1d6e"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a62efa53d84dfc8196a51ca08672e1d6e">gt0_drpaddr_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a094afd712da31e9de4cbd54401ce484e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a094afd712da31e9de4cbd54401ce484e"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a094afd712da31e9de4cbd54401ce484e">gt0_drpdi_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b81e33495436d80348253ac511a52ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b81e33495436d80348253ac511a52ca"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a0b81e33495436d80348253ac511a52ca">gt0_drpdo_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3596ef54879f3b91bebbd36cf21c7d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3596ef54879f3b91bebbd36cf21c7d3"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ab3596ef54879f3b91bebbd36cf21c7d3">gt0_drpen_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a71674c4dca8e6bc1194663a8f7c25bf0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71674c4dca8e6bc1194663a8f7c25bf0"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a71674c4dca8e6bc1194663a8f7c25bf0">gt0_drpwe_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a10126f2367a2dec39206043fc9107ae7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10126f2367a2dec39206043fc9107ae7"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a10126f2367a2dec39206043fc9107ae7">gt0_drprdy_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92d0dd37442239c27c27d4ff7a217761"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92d0dd37442239c27c27d4ff7a217761"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a92d0dd37442239c27c27d4ff7a217761">gt0_drpaddr_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d8eb8ad4d1691b25f96060936328523"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d8eb8ad4d1691b25f96060936328523"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a8d8eb8ad4d1691b25f96060936328523">gt0_drpdi_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad44118a5febaaa0b27559a2f9562ef62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad44118a5febaaa0b27559a2f9562ef62"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ad44118a5febaaa0b27559a2f9562ef62">gt0_drpdo_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af685ca7f51dfc023538c77aaf93a4a9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af685ca7f51dfc023538c77aaf93a4a9d"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#af685ca7f51dfc023538c77aaf93a4a9d">gt0_drpen_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86e1884a47e0dbb6db7b989403a9a0f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86e1884a47e0dbb6db7b989403a9a0f0"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a86e1884a47e0dbb6db7b989403a9a0f0">gt0_drpwe_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a53c33c00f59bb5c15eb923726772746f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53c33c00f59bb5c15eb923726772746f"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a53c33c00f59bb5c15eb923726772746f">gt0_drprdy_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad0ef1291a7a7e067067602c9517bb00c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0ef1291a7a7e067067602c9517bb00c"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ad0ef1291a7a7e067067602c9517bb00c">gt0_rxmonitorout_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">6</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09570287f97c7e6bb6b60c5b712ca9de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09570287f97c7e6bb6b60c5b712ca9de"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a09570287f97c7e6bb6b60c5b712ca9de">gt0_rxmonitorsel_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3195b5f10c2e8d8ef6f778a0fbcebd37"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3195b5f10c2e8d8ef6f778a0fbcebd37"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a3195b5f10c2e8d8ef6f778a0fbcebd37">gt0_adapt_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afe5a171d0e14bede9abfded5d7f8f720"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe5a171d0e14bede9abfded5d7f8f720"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#afe5a171d0e14bede9abfded5d7f8f720">gt0_qpllreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30db7d339da86744ac6492e00ea5af49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30db7d339da86744ac6492e00ea5af49"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a30db7d339da86744ac6492e00ea5af49">gt0_qpllreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae87638ad9cdffd5df58ab00321336ed8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae87638ad9cdffd5df58ab00321336ed8"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#ae87638ad9cdffd5df58ab00321336ed8">gt0_qpllrefclklost_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d50e7fcfcfd8fd8a33612a633b1b824"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d50e7fcfcfd8fd8a33612a633b1b824"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a8d50e7fcfcfd8fd8a33612a633b1b824">gt0_qplllock_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9260d6490a33aa7691ac95c43aded32f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9260d6490a33aa7691ac95c43aded32f"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a9260d6490a33aa7691ac95c43aded32f">tied_to_ground_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7d6823f31f16792e4532eef39c8c4c03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d6823f31f16792e4532eef39c8c4c03"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a7d6823f31f16792e4532eef39c8c4c03">tied_to_vcc_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd1e24a227522258b7b49fb0ad423abf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd1e24a227522258b7b49fb0ad423abf"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#afd1e24a227522258b7b49fb0ad423abf">gt0_rxoutclk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa323f70535c164b7da99a1d6727b3285"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa323f70535c164b7da99a1d6727b3285"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#aa323f70535c164b7da99a1d6727b3285">gt0_recclk_stable_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a47d7e72a6cd6b50cb707f5d87eca2b5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47d7e72a6cd6b50cb707f5d87eca2b5c"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a47d7e72a6cd6b50cb707f5d87eca2b5c">rx_cdrlock_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_TIME_CDRLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9eca428f28b9cf5fa1dd062b6799f84c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9eca428f28b9cf5fa1dd062b6799f84c"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a9eca428f28b9cf5fa1dd062b6799f84c">rx_cdrlocked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a810b9c5fe7808271ccb35f9ec9180ab3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a810b9c5fe7808271ccb35f9ec9180ab3"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a810b9c5fe7808271ccb35f9ec9180ab3">S6Link_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link</b>  <em><a class="el" href="classS6Link.html">&lt;Entity S6Link&gt;</a></em></td></tr>
<tr class="memitem:af1cdce18bc1878ab42a0d4f28d5ca4b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1cdce18bc1878ab42a0d4f28d5ca4b8"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#af1cdce18bc1878ab42a0d4f28d5ca4b8">gt0_txresetfsm_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_TX_STARTUP_FSM</b>  <em><a class="el" href="classS6Link__TX__STARTUP__FSM.html">&lt;Entity S6Link_TX_STARTUP_FSM&gt;</a></em></td></tr>
<tr class="memitem:a501606d1d731aebb886f06e0bb50f1a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a501606d1d731aebb886f06e0bb50f1a8"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a501606d1d731aebb886f06e0bb50f1a8">gt0_rxresetfsm_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_RX_STARTUP_FSM</b>  <em><a class="el" href="classS6Link__RX__STARTUP__FSM.html">&lt;Entity S6Link_RX_STARTUP_FSM&gt;</a></em></td></tr>
<tr class="memitem:a5ebe52fb29a7a8e53cad09ec5bd1105c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ebe52fb29a7a8e53cad09ec5bd1105c"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a5ebe52fb29a7a8e53cad09ec5bd1105c">gt0_adapt_top_dfe_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_ADAPT_TOP_DFE</b>  <em><a class="el" href="classS6Link__ADAPT__TOP__DFE.html">&lt;Entity S6Link_ADAPT_TOP_DFE&gt;</a></em></td></tr>
<tr class="memitem:a307c953eb4ffc35023fae32be3ef58f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a307c953eb4ffc35023fae32be3ef58f1"></a>
<a class="el" href="classS6Link__init_1_1RTL.html#a307c953eb4ffc35023fae32be3ef58f1">gt0_adapt_top_lpm_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_ADAPT_TOP_LPM</b>  <em><a class="el" href="classS6Link__ADAPT__TOP__LPM.html">&lt;Entity S6Link_ADAPT_TOP_LPM&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="s6link__init_8vhd_source.html#l00178">178</a> of file <a class="el" href="s6link__init_8vhd_source.html">s6link_init.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/<a class="el" href="s6link__init_8vhd_source.html">s6link_init.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
